Subject: Re: linux-next: Tree for Sep 16

From: Arnaldo Carvalho de Melo <[email-masked]>
Date: Thu, 16 Sep 2021 19:53:59 -0300

On September 16, 2021 7:49:12 PM GMT-03:00, Stephen Rothwell <[email-masked]> wrote:
>Hi all,
>
>On Thu, 16 Sep 2021 18:43:37 -0300 Arnaldo Carvalho de Melo <[email-masked]> wrote:
>>
>> On September 16, 2021 2:30:04 PM GMT-03:00, Alexei Starovoitov <[email-masked]> wrote:
>> >On Wed, Sep 15, 2021 at 11:11 PM Stephen Rothwell <[email-masked]> wrote:  
>> >>
>> >> Changes since 20210915:
>> >>
>> >> The bpf-next tree still had its build failure so I used the version from
>> >> next-20210913.  
>> >
>> >Arnaldo,
>> >
>> >could you please push Andrii's fix into your tree asap
>> >and then cleanup/follow up with a better fix if  necessary?  
>> 
>> It's there since yesterday:
>> 
>> https://git.kernel.org/pub/scm/linux/kernel/git/acme/linux.git/commit/?h=perf/core&id=00e0ca3721cf2ddcb38cf676a3de61933640d31d
>> 
>> Replying just now since it's a holiday here and I was AFK.
>
>But that is not in any tree that is included in linux-next (and when it
>does appear, it will be in the tip tree 

Nope, perf tools don't transit via tip for quite a while already, it goes to Linus directly.

Would it be possible to have it included in linux-next? I.e. perf/core in my repo is what should go to the next Linux release, perf/urgent goes to the current merge window, just like tip.

- Arnaldo

which gets merged well after
>the bpf-next tree).  I will include that patch as a merge fix up for
>the bpf-next tree until that patch has gone into Linus' tree ... so,
>someone has to ensure that this patch get into Linus tree *before* the
>bpf-next tree.
>
>So, do you see the problem?  Linus' tree is fine on its own.  The
>bpf-next tree has a patch that breaks Linus' tree, but the breakage is
>not seen in the bpf-next tree because it is base on v5.14 and the
>interacting patch is in v5.15-rc1.